import ApiResource from '~/models/ApiResource'

const modules = import.meta.glob('~/models/*/*.ts')

const models: Record<string, typeof ApiResource> = {}

for (const path in modules) {
  modules[path]().then((mod) => {
    // @ts-expect-error On est dépendant du retour de import.meta.glob pour le type
    models[mod.default.entity] = mod.default
  })
}

export default models
